#pragma once
#include <memory>

#include "GeometryElement.h"
#include "TextElement.h"

class VisualLayer
{
    GeometryElementUPtr mShape;
    TextElementUPtr mText;

public:

    VisualLayer();

    static std::unique_ptr<VisualLayer> Create();

    GeometryElement* GetShape() const;
    TextElement* GetText() const;
    bool HasShape() const;
    bool HasText() const;
    void SetShape(GeometryElementUPtr shape);
    void SetText(TextElementUPtr text);
};
using VisualLayerUPtr = std::unique_ptr<VisualLayer>;
